<?xml version="1.0" encoding="utf-8" standalone="yes" ?>
<T3DataStructure>
	<meta>
		<langDisable>1</langDisable>
	</meta>
	<sheets>
		<sDEF>
			<ROOT>
				<type>array</type>
				<el>
					<image>
						<TCEforms>
							<label>LLL:EXT:mrm_be/Resources/Private/Language/locallang_ttc.xlf:mrm_be_cm_imageplus.subtitle</label>
							<config>
								<type>inline</type>
								<maxitems>1</maxitems>
								<foreign_table>sys_file_reference</foreign_table>
								<foreign_table_field>tablenames</foreign_table_field>
								<foreign_label>uid_local</foreign_label>
								<foreign_sortby>sorting_foreign</foreign_sortby>
								<foreign_field>uid_foreign</foreign_field>
								<foreign_selector>uid_local</foreign_selector>
								<foreign_selector_fieldTcaOverride>
									<config>
										<appearance>
											<elementBrowserType>file</elementBrowserType>
											<elementBrowserAllowed>gif,jpg,jpeg,png,svg</elementBrowserAllowed>
										</appearance>
									</config>
								</foreign_selector_fieldTcaOverride>
								<foreign_types type="array">
									<numIndex index="0">
										<showitem>--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,--palette--;;filePalette</showitem>
									</numIndex>
									<numIndex index="2">
										<showitem>--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,--palette--;;filePalette</showitem>
									</numIndex>
								</foreign_types>
								<foreign_match_fields>
									<fieldname>image</fieldname>
									<!-- CAUTION!! Replace "fal" with the variable name of this field! -->
								</foreign_match_fields>
								<appearance type="array">
									<fileUploadAllowed>0</fileUploadAllowed>
									<newRecordLinkAddTitle>1</newRecordLinkAddTitle>
									<headerThumbnail>
										<field>uid_local</field>
										<height>64</height>
										<width>64</width>
									</headerThumbnail>
									<enabledControls>
										<info>1</info>
										<new>0</new>
										<dragdrop>0</dragdrop>
										<sort>1</sort>
										<hide>0</hide>
										<delete>1</delete>
										<localize>0</localize>
									</enabledControls>
									<createNewRelationLinkTitle>LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:images.addFileReference</createNewRelationLinkTitle>
								</appearance>
								<behaviour>
									<localizationMode>select</localizationMode>
									<localizeChildrenAtParentLocalization>1</localizeChildrenAtParentLocalization>
								</behaviour>
								<overrideChildTca>
									<columns type="array">
										<uid_local type="array">
											<config type="array">
												<appearance type="array">
													<elementBrowserType>file</elementBrowserType>
													<elementBrowserAllowed>jpg,png,svg,jpeg,gif</elementBrowserAllowed>
												</appearance>
											</config>
										</uid_local>
									</columns>
									<types type="array">
										<numIndex index="2">
											<showitem>--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,--palette--;;filePalette</showitem>
										</numIndex>
									</types>
								</overrideChildTca>
							</config>
						</TCEforms>
					</image>
					<headline>
						<TCEforms>
							<label>LLL:EXT:mrm_be/Resources/Private/Language/locallang_ttc.xlf:mrm_be_cm_imageplus.headline</label>
							<config>
								<type>input</type>
								<eval>trim</eval>
								<size>200</size>
							</config>
						</TCEforms>
					</headline>
					<description>
						<TCEforms>
							<label>LLL:EXT:mrm_be/Resources/Private/Language/locallang_ttc.xlf:mrm_be_cm_imageplus.description</label>
							<config>
								<type>text</type>
								<eval>trim</eval>
								<rows>4</rows>
								<cols>200</cols>
							</config>
						</TCEforms>
					</description>
					<link>
						<TCEforms>
              <label>LLL:EXT:mrm_be/Resources/Private/Language/locallang_ttc.xlf:mrm_be_cm_imageplus.link</label>
              <config>
                <type>input</type>
                <renderType>inputLink</renderType>
                <eval>required</eval>
              </config>
            </TCEforms>
          </link>
					<customcss>
						<TCEforms>
							<label>LLL:EXT:mrm_be/Resources/Private/Language/locallang_ttc.xlf:mrm_be_cm_imageplus.customcss</label>
							<config>
								<type>input</type>
								<eval>trim</eval>
								<size>200</size>
							</config>
						</TCEforms>
					</customcss>
				</el>
			</ROOT>
		</sDEF>
	</sheets>
</T3DataStructure>